#!/bin/bash
#   FILE
#     armutil.sh
#
#   DESCRIPTION
#     Utilities for communicating pre_snap.sh execution
#     status to Quorum onQ
#
#   NOTES
#     pre_snap.sh sources this file. 
#     These functions depends on the armSender and vmmonCtl executables.
#
#   MODIFIED   (YYYY-MM-DD)
#   quorum      2013-07-26 - initial version

SID=`/bin/ps -p $$ -o pgid --no-headers`
export LD_LIBRARY_PATH=/opt/quorum/lib:$LD_LIBRARY_PATH

function start()
{
    mkdir -p /opt/vmmon/tmp
    /opt/quorum/bin/armSender pre_snap >/dev/null 2>&1 &
    sleep 2
    /opt/quorum/bin/vmmonCtl $SID 0 '$returnStatus' STRING >/dev/null 2>&1
}

function finish()
{
    /opt/quorum/bin/vmmonCtl $SID 1 '$returnStatus' "$1" STRING >/dev/null 2>&1
    sleep 2 
    echo $1
}
