#!/bin/bash
#
#   DESCRIPTION
#     Example script to coordinate rman recovery of oracle database.
#     This is to be run after RN's first boot if DB needs recovery. 
#
#     Please note that this script is crafted for our test environment
#     (one DB instance and retain only one backup) and user will need
#     to use ORACLE DBA skills to update this script based on real world
#     Oracle backup needs and requirements.

function run_rman
{
    \rm -f $1
    cat > $1
    rman @$1
}

# Modify the settings as your need of oracle installations and configurations

ORACLE_BASE=/opt/oracle
ORACLE_HOME=$ORACLE_BASE/product/11.2.0/db_1

#
# details for databases to be restored
#
BACKUP_BASE=/backup01
BACKUP_AREA=${BACKUP_BASE}/rdbms/physical/orcl
BACKUP_LOG_DIR=~/oracle_backup


# Make backup
mkdir -p ~/${BACKUP_LOG_DIR}
chmod 777 ~/${BACKUP_LOG_DIR}
db=orcl

    run_rman ${BACKUP_LOG_DIR}/ora_restore_${db}.rman <<EOF
        set echo on;
        connect target / ;
        shutdown immediate;
        startup mount;
        restore database;
        shutdown immediate;
        startup mount;
        recover database;
        alter database open;
        exit;
EOF
